#pragma once

// Log
#include "Log.h"

// CWndPlugIn

class CWndPlugIn : public CWnd, public CLog
{
	DECLARE_DYNAMIC(CWndPlugIn)

public:
	CWndPlugIn();
	virtual ~CWndPlugIn();

public:
	HWND m_hNTalkHwnd;       // Fensterhandle von Nettalk
	CString m_strPluginName; // Bezeichner des Plugin SSL_PlugIn

public:
	// Regestriert die DLL als PlugIn
	int InstPlugIn(HWND);
	// Beendet das PlugIn und trgt es aus.
	void UnloadPlugIn();
	// Anzeigen des PlugIn
	void ShowPlugIn();

public:
	// Befehle per SendMessage
	LRESULT SendPlain(CString text);
	LRESULT SendText(int FrameId, CString text);
	LRESULT SendRequest(CString cmd);
	LRESULT SendCommand(int FrameId, CString cmd, CString text);
	
	// Nachrichtenauswertung der Antworten von Nettalk
	LRESULT ExecuteCommand(CString &cmd, CStringArray &params);

protected:
	LRESULT OnSetText(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
};


