#ifndef _LOG_CHECK_H_
#define _LOG_CHECK_H_

#pragma warning(disable:4786)
#pragma warning(disable:4996)

// YYYY_MM_DD_OpenSSL_channelID.log
#define LOG_FILENAME         "%s%s20%02i_%02i_%02i_OpenSSL_%i.log"
#define LOG_LIST_FILENAME_TXT    "%s20%02i_%02i_%02i_%02i_%02i_%02i_%i_%c_%s.txt"
#define LOG_LIST_FILENAME_BIN    "%s20%02i_%02i_%02i_%02i_%02i_%02i_%i_%c_%i.bin"
#define LOG_SEARCH_LIST_FILENAME "%s%s20??_??_??_??_??_??_*.*"
#define LOG_SEARCH_FILENAME  "%s%s20??_??_??_OpenSSL_*.log"
#define LOG_DELETE_FILENAME  "%s%s%s"

class CLogCheck
{
public:
	CLogCheck();
	virtual ~CLogCheck();

// Operationen
public:
	int Check();

// Attribute
public:
	// Zugewiesene Kanalnummer
	short m_channelID;
	char m_szBasePath[260];   // Basispfad fuer Log
	char m_szSubFolder[80];   // Unterordner fuer Logdateien
	int m_eraseFileDays;
};

#endif
